DROP CAST(7)

NAME
DROP CAST - remove a cast

SYNOPSIS

DROP CAST [ IF EXISTS ] (sourcetype AS targettype) [ CASCADE | RESTRICT ]

DESCRIPTION

DROP CAST removes a previously defined cast.

To be able to drop a cast, you must own the source or the target data type. These are the same privileges that are required to create a cast.

PARAMETERS

IF EXISTS
    Do not throw an error if the cast does not exist. A notice is issued in this case.

sourcetype
    The name of the source data type of the cast.

targettype
    The name of the target data type of the cast.

CASCADE

RESTRICT
    These key words do not have any effect, since there are no dependencies on casts.

EXAMPLES

To drop the cast from type text to type int:

DROP CAST (text AS int);

COMPATIBILITY

The DROP CAST command conforms to the SQL standard.

SEE ALSO
CREATE CAST [create_cast(7)]